#include <iostream>

using namespace std;

int main () {
	
	unsigned long long int x, z, y, L, R, max, dodaj, brojresenja = 0;
	
	cin >>x>>y>>z>>L>>R;
	
	if (x*y+x*z+y*z == x*y*z) {
		
		max = x;
		if (max < y) {
			max = y;
		}
		if (max < z) {
			max = z;
		}
		
		cout << R / max - L / max;
		
	}
	
	else if (x*y+x*z+y*z < x*y*z){
		
		for (int l = L; l <= x*y*z; l++) {
			
			if (l > R) {
				break;
			}
			
			dodaj = 0;
		
			if (l % x > 0) {
			dodaj+=1;
			}
			if (l % y > 0) {
			dodaj+=1;
			}
			if (l % z > 0) {
			dodaj+=1;
			}
			
			
			dodaj += l / x + l / y + l / z;
			
			if (dodaj <= l) {
				brojresenja += 1;
			}
			
		}
		
		if (R > x*y*z) {
		
		if (L > x*y*z) {
			
			brojresenja += R - L + 1;
			
		} 
		else {
			brojresenja += R - x*y*z;
		}
		}
		
		cout << brojresenja;
		
	}
	
	else {
		cout << 0;
		
	}
	
	return 0;
	
}